/*
xs - 360
md - 768
hd - 1280
xl - 1920
 */
.catalog-section {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0;
}
@media screen and (min-width: 768px) {
  .catalog-section {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media screen and (min-width: 1280px) {
  .catalog-section {
    grid-template-columns: repeat(3, 1fr);
  }
}

.product-item-container::after, .product-item-container::before {
  display: none;
  z-index: 99;
  position: absolute;
  bottom: -1px;
  right: -6px;
  content: "";
  width: 12px;
  height: 2px;
  background-color: var(--color-primary);
}
.product-item-container::after {
  transform: rotate(90deg);
}
.product-item-container:not(:first-child) {
  margin-top: -1px;
}
@media screen and (min-width: 768px) {
  .product-item-container:not(:first-child) {
    margin-top: unset;
  }
}
@media screen and (min-width: 768px) {
  .product-item-container:nth-child(3n+1):not(:last-child)::after, .product-item-container:nth-child(3n+1):not(:last-child)::before {
    display: block;
  }
}
@media screen and (min-width: 768px) {
  .product-item-container:nth-child(3n+2):not(:last-child) {
    margin-left: -1px;
  }
}
@media screen and (min-width: 1280px) {
  .product-item-container:nth-child(3n+3):not(:last-child) {
    margin-left: -1px;
  }
}
@media screen and (min-width: 1280px) {
  .product-item-container:nth-child(3n+2):not(:last-child)::after, .product-item-container:nth-child(3n+2):not(:last-child)::before {
    display: block;
  }
}

.product-series-link {
  margin-top: -1px;
  position: relative;
  width: 100%;
  height: 226px;
  z-index: 2;
}
.product-series-link picture {
  position: absolute;
  inset: 0;
}
.product-series-link picture img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
@media screen and (min-width: 1920px) {
  .product-series-link {
    height: 300px;
  }
}
@media screen and (min-width: 768px) {
  .product-series-link {
    grid-column: 1/3;
  }
}
@media screen and (min-width: 1280px) {
  .product-series-link {
    grid-column: 1/4;
  }
}
